package com.ruoyi.ss.vip.mapper;

import java.util.List;
import com.ruoyi.ss.vip.domain.Vip;
import com.ruoyi.ss.vip.domain.VipVO;
import com.ruoyi.ss.vip.domain.VipQuery;
import org.apache.ibatis.annotations.Param;

/**
 * 会员Mapper接口
 *
 * @author ruoyi
 * @date 2024-12-09
 */
public interface VipMapper
{
    /**
     * 查询会员
     *
     * @param id 会员主键
     * @return 会员
     */
    public VipVO selectVipById(Long id);

    /**
     * 查询会员列表
     *
     * @param query 会员
     * @return 会员集合
     */
    public List<VipVO> selectVipList(@Param("query")VipQuery query);

    /**
     * 新增会员
     *
     * @param vip 会员
     * @return 结果
     */
    public int insertVip(Vip vip);

    /**
     * 修改会员
     *
     * @param vip 会员
     * @return 结果
     */
    public int updateVip(@Param("data") Vip vip);

    /**
     * 删除会员
     *
     * @param id 会员主键
     * @return 结果
     */
    public int deleteVipById(Long id);

    /**
     * 批量删除会员
     *
     * @param ids 需要删除的数据主键集合
     * @return 结果
     */
    public int deleteVipByIds(Long[] ids);

    /**
     * 查询数量
     */
    int selectCount(@Param("query") VipQuery query);
}
